package com.caliverse.admin.logs.entity;

public enum LogDomain {
    BASE(""),
    AuthLogInOut("인증 로그인/인증 로그아웃"),
    GameLogInOut("게임 로그인/게임 로그아웃"),
    UserCreate("유저 생성"),
    User("유저"),
    UserInitial("유저 초기화"),
    CharacterCreate("캐릭터 생성"),
    Character("캐릭터"),
    Item("아이템"),
    Currency("재화"),
    Mail("우편"),
    MailStoragePeriodExpired("메일 보관 기간 만료 삭제"),
    MailProfile("우편 제한 개요"),
    Stage("스테이지"),
    ClaimReward("클레임 리워드"),
    QuestMain("퀘스트 메인"),
    QuestUgq("퀘스트 Ugq"),
    QuestMail("퀘스트 메일"),
    SocialAction("소셜 액션"),
    MyHome("마이홈"),
    Taxi("택시"),
    RewardProp("리워드 프랍"),
    Party("파티"),
    PartyMember("파티 맴버"),
    PartyVote("파티 투표"),
    PartyInstance("파티 인스턴스"),
    EscapePosition("고립탈출"),
    UserBlock("유저 차단"),
    Friend("친구"),
    UserReport("유저 신고"),
    TaskReservation("처리못한 예약 테스크"),
    SeasonPass("시즌 패스"),
    PackageLastOrderRecode("패키지 마지막 획득 기록"),
    PackageRepeat("패키지 연속 지급"),
    PackageState("패키지 상태"),
    Craft("제작"),
    CraftHelp("제작 도움"),
    Cart("카트"),
    Buff("버프"),
    UgqApi("UgqApi"),
    AIChat("AI채팅"),
    Chat("채팅"),
    Shop("상점"),
    Calium("칼리움"),
    CaliumEchoSystem("칼리움 에코 시스템"),
    CaliumStorageFail("칼리움 저장 실패"),
    Position("위치"),
    Address("주소"),
    BeaconCreate("비컨 생성"),
    Beacon("비컨"),
    CustomDefineUi("CustomDefineUi"),
    Farming("파밍"),
    FarmingReward("파밍 보상"),
    RenewalShopProducts("상점 리뉴얼"),
    CheatRenewalShopProducts("상점 리뉴얼 치트"),
    ChangeDanceEntityState("댄스 엔티티 상태 변경"),
    Land("랜드"),
    Building("빌딩"),
    SwitchingProp("스위칭프랍"),
    LandAuction("랜드 경매"),
    LandAuctionActivity("랜드 경매 활성화"),
    LandAuctionBid("랜드 경매 입찰"),
    LandAuctionBidPriceRefund("랜드 경매 입찰금 환급"),
    BrokerApi("BrokerApi"),
    Rental("랜탈"),
    BuildingProfit("빌딩 수익"),
    BattleObjectInteraction("전투 오브젝트 인터렉션"),
    BattleObjectStateUpdate("전투 오브젝트 상태 업데이트"),
    BattleReward("전투 보상"),
    BattleRespawn("전투 리스폰"),
    BattleRoomJoin("전투 입장"),
    BattleDead("전투 죽음"),
    BattleRound("전투 라운드"),
    BattleSnapshot("전투 스냅샷");

    private final String description;

    LogDomain(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    @Override
    public String toString() {
        return name() + "(" + description + ")";
    }
}
